FROM registry.digitallocker.gov.in/accounts/mongo-split-worker:base
MAINTAINER DigiLocker
LABEL version="1.0"
ENV TZ="Asia/Kolkata"


COPY config-prod-aws-share/dockerconfig/supervisord.conf /etc/supervisord.conf
COPY config-prod-aws-share/dockerconfig/services.conf /etc/supervisord.d/services.conf
COPY config-prod-aws-share/dockerconfig/envoy-accounts-worker-beta-pune.yaml /etc/envoy/envoy-accounts-worker-beta-pune.yaml

WORKDIR /opt/rmq-workers

COPY src_code/rmq-worker /opt/rmq-workers
COPY config-prod-aws-share/appconfig/ /opt/rmq-workers

CMD ["/usr/bin/supervisord", "-n"]
                                         
